import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { MasterCategoryComponent } from './master-category/master-category.component';
import { MasterLocationComponent } from './master-location/master-location.component';
import { MasterLocationRoomComponent } from './master-location-room/master-location-room.component';
import { MasterTypeComponent } from './master-type/master-type.component';

import { RouterModule } from '@angular/router';
import { ChartistModule } from 'ng-chartist';
import { NgxDatatableModule } from '@swimlane/ngx-datatable';
import { FormsModule } from '@angular/forms';
import { NgbModule } from '@ng-bootstrap/ng-bootstrap';
import { NgChartsModule } from 'ng2-charts';
import { BlockUIModule } from 'ng-block-ui';
import { PerfectScrollbarModule } from 'ngx-perfect-scrollbar';
import { BlockTemplateComponent } from 'src/app/_layout/blockui/block-template.component';
import { CardModule } from '../../partials/general/card/card.module';
import { MatchHeightModule } from '../../partials/general/match-height/match-height.module';
import { BreadcrumbModule } from 'src/app/_layout/breadcrumb/breadcrumb.module';



@NgModule({
  declarations: [
    MasterCategoryComponent,
    MasterLocationComponent,
    MasterLocationRoomComponent,
    MasterTypeComponent
  ],
  imports: [
    CommonModule,
    ChartistModule,
    FormsModule,
    NgChartsModule,
    CardModule,
    MatchHeightModule,
    NgxDatatableModule,
    PerfectScrollbarModule,
    BreadcrumbModule,
    NgbModule,
    BlockUIModule.forRoot({
      template: BlockTemplateComponent
    }),
    RouterModule.forChild([
      {
        path: 'master-category',
        component: MasterCategoryComponent
      },
      {
        path: 'master-location',
        component: MasterLocationComponent
      },
      {
        path: 'master-location-room',
        component: MasterLocationRoomComponent
      },
      {
        path: 'master-type',
        component: MasterTypeComponent
      }
    ])
  ]
})
export class MasterModule { }
